Skip to content

Wait until a blockchain transaction has been processed

GET
/transactions/{txHash}/processed
curl --request GET \
--url 'https://api.ethos.network/api/v2/transactions/example/processed?timeoutMs=10000'

Waits until the transaction has been processed by Ethos event processors or until the timeout elapses. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

txHash
required
string
timeoutMs
integer
default: 10000 > 0 <= 25000

Successful response

Media typeapplication/json
object
processed
required
boolean
status
required
string
Allowed values: not_found pending processing processed

Example

{
"status": "not_found"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}